<?php
require_once '../database_config.php';

// 检查用户是否有权限访问此页面
check_permission_or_die('client');

// 记录访问日志
record_log('访问客户管理页面');
?>

<!DOCTYPE html>
<html lang="zh-CN">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title><?php echo title; ?></title>
    <link rel="stylesheet" href="../style.css">
</head>

<body>
    <div class="container">
        <div class="header-local">
            <h2>客户管理</h2>
        </div>

        <div class="content">
            <div class="dashboard">
                <div class="dashboard-card">
                    <h3>客户总数</h3>
                    <div class="number"><?php
                                        $stmt = $pdo->query("SELECT COUNT(*) as count FROM crm_clients");
                                        $result = $stmt->fetch();
                                        echo $result['count'];
                                        ?></div>
                    <div class="desc">VIP客户：<?php
                                            $stmt = $pdo->query("SELECT COUNT(*) as count FROM crm_clients WHERE client_level = 1");
                                            $result = $stmt->fetch();
                                            echo $result['count'];
                                            ?></div>
                </div>

                <div class="dashboard-card">
                    <h3>联系人数量</h3>
                    <div class="number"><?php
                                        $stmt = $pdo->query("SELECT COUNT(*) as count FROM crm_contacts");
                                        $result = $stmt->fetch();
                                        echo $result['count'];
                                        ?></div>
                    <div class="desc">主要联系人：<?php
                                            $stmt = $pdo->query("SELECT COUNT(*) as count FROM crm_contacts WHERE is_primary = 1");
                                            $result = $stmt->fetch();
                                            echo $result['count'];
                                            ?></div>
                </div>

                <div class="dashboard-card">
                    <h3>互动记录</h3>
                    <div class="number"><?php
                                        $stmt = $pdo->query("SELECT COUNT(*) as count FROM crm_interactions");
                                        $result = $stmt->fetch();
                                        echo $result['count'];
                                        ?></div>
                    <div class="desc">本月互动：<?php
                                            $stmt = $pdo->query("SELECT COUNT(*) as count FROM crm_interactions WHERE DATE_FORMAT(interaction_time, '%Y-%m') = DATE_FORMAT(NOW(), '%Y-%m')");
                                            $result = $stmt->fetch();
                                            echo $result['count'];
                                            ?></div>
                </div>

                <div class="dashboard-card">
                    <h3>我的客户</h3>
                    <div class="number"><?php
                                        $stmt = $pdo->prepare("SELECT COUNT(*) as count FROM crm_clients WHERE owner_user_id = ?");
                                        $stmt->execute([$_SESSION['user_id']]);
                                        $result = $stmt->fetch();
                                        echo $result['count'];
                                        ?></div>
                    <div class="desc">负责客户数量</div>
                </div>
            </div>

            <h2>功能导航</h2>
            <div class="function-links">
                <a href="profile.php" class="function-link">
                    <h3>客户档案</h3>
                </a>
                <a href="contact.php" class="function-link">
                    <h3>联系人管理</h3>
                </a>
                <a href="relation.php" class="function-link">
                    <h3>客户关系维护</h3>
                </a>
                <a href="reminder.php" class="function-link">
                    <h3>客户提醒</h3>
                </a>
            </div>

            <h2>最近互动</h2>
            <div class="recent-interactions">
                <table class="data-table">
                    <thead>
                        <tr>
                            <th>客户名称</th>
                            <th>互动类型</th>
                            <th>主题</th>
                            <th>互动时间</th>
                            <th>负责人</th>
                        </tr>
                    </thead>
                    <tbody>
                        <?php
                        $stmt = $pdo->query("SELECT i.*, c.client_name, u.username 
                                        FROM crm_interactions i 
                                        JOIN crm_clients c ON i.client_id = c.id 
                                        JOIN sys_users u ON i.user_id = u.id 
                                        ORDER BY i.interaction_time DESC LIMIT 5");
                        while ($row = $stmt->fetch()) {
                            echo "<tr>";
                            echo "<td>" . htmlspecialchars($row['client_name']) . "</td>";
                            echo "<td>" . htmlspecialchars($row['type']) . "</td>";
                            echo "<td>" . htmlspecialchars($row['subject']) . "</td>";
                            echo "<td>" . date('Y-m-d H:i', strtotime($row['interaction_time'])) . "</td>";
                            echo "<td>" . htmlspecialchars($row['username']) . "</td>";
                            echo "</tr>";
                        }
                        ?>
                    </tbody>
                </table>
            </div>
        </div>
    </div>
</body>

</html>